Bug 247008 - sysutils/consul: fix build on aarch64
Summary: sysutils/consul: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL: http://thunderx1.nyi.freebsd.org/data...
Keywords: buildisok
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-06-05 16:39 UTC by Mikael Urankar
Modified: 2020-09-19 16:12 UTC (History)
0 users

See Also:
swills: maintainer-feedback+


Attachments
patch (15.01 KB, patch)
2020-06-05 16:39 UTC, Mikael Urankar
swills: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-06-05 16:39:57 UTC
Created attachment 215260 [details]
patch
Comment 1 Automation User 2020-06-20 00:28:03 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/158236302
Comment 2 commit-hook freebsd_committer 2020-09-19 16:05:42 UTC
A commit references this bug:

Author: mikael
Date: Sat Sep 19 16:05:18 UTC 2020
New revision: 549035
URL: https://svnweb.freebsd.org/changeset/ports/549035

Log:
  sysutils/consul: fix build on aarch64

  PR:		247008
  Approved by:	swills (maintainer)

Changes:
  head/sysutils/consul/files/patch-gopsutil_aarch64
  head/sysutils/consul/files/patch-vendor_golang.org_x_net_ipv4_zsys__freebsd__arm64.go
  head/sysutils/consul/files/patch-vendor_golang.org_x_net_ipv6_zsys__freebsd__arm64.go